ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

Debian Etch AMD64 and iLo CLI

SOLVED
Go to solution
Birju Prajapati
Occasional Visitor

Debian Etch AMD64 and iLo CLI

Hi,
We've got a nice new DL585 G2 and use Debian Etch (which installed fine).
However, we need to use the iLo CLI, and so need to install the hpasm and the hprsm debs. This depends on libstdc++2.10-glibc2.2 which is not available in the Debian etch apt repository. Does anyone know any workarounds or anywhere to get these libs, or even better; the debs for Etch...

In short:

bprajapati@livedb:~$ sudo dpkg -i hpasm-7.7.0-116.sarge26.amd64.deb
(Reading database ... 19430 files and directories currently installed.)
Unpacking hpasm (from hpasm-7.7.0-116.sarge26.amd64.deb) ...
===========================================================
NOTE: The storage agents that come packaged with the
hpasm application you are installing, require
the libstdc++2.10-glibc2.2 package in order for
them to run successfully. Please use the apt-get
utility to download the package.
For example: apt-get install libstdc++2.10-glibc2.2
===========================================================
dpkg: error processing hpasm-7.7.0-116.sarge26.amd64.deb (--install):
subprocess pre-installation script returned error exit status 1
Errors were encountered while processing:
hpasm-7.7.0-116.sarge26.amd64.deb
bprajapati@livedb:~$
bprajapati@livedb:~$
bprajapati@livedb:~$ sudo apt-get install libstdc++2.10-glibc2.2
Reading package lists... Done
Building dependency tree... Done
E: Couldn't find package libstdc++2.10-glibc2.2
bprajapati@livedb:~$


Any help much appreciated!
Cheers,
Birju
2 REPLIES
Mr Arc
Occasional Advisor

Re: Debian Etch AMD64 and iLo CLI

Hi Birju,
For this case you have to get the package (libstdc++2.10-glibc2.2_2.95.4-22_i386.deb) from 32bit and then install force-architecture

#dpkg --force-architecture
Mr Arc
Occasional Advisor
Solution

Re: Debian Etch AMD64 and iLo CLI

#dpkg -i --force-architecture
try this